org.apache.fop.events

## Class EventFormatter

- java.lang.Object
- - org.apache.fop.events.EventFormatter

-     public final class EventFormatter
      extends java.lang.Object

  Converts events into human-readable, localized messages.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EventFormatter.LookupFieldPartFactory` PartFactory for lookups.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `format(Event event)` Formats an event using the default locale.
    `static java.lang.String` | `format(Event event, java.util.Locale locale)` Formats an event using a given locale.
    `static java.lang.String` | `format(Event event, java.lang.String pattern)` Formats the event using a given pattern.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### format

          public static java.lang.String format(Event event)

      Formats an event using the default locale.
      Parameters:
        `event` - the event
      Returns:
        the formatted message

    - #### format

          public static java.lang.String format(Event event,
                                                java.util.Locale locale)

      Formats an event using a given locale.
      Parameters:
        `event` - the event
        `locale` - the locale
      Returns:
        the formatted message

    - #### format

          public static java.lang.String format(Event event,
                                                java.lang.String pattern)

      Formats the event using a given pattern. The pattern needs to be compatible with `AdvancedMessageFormat`.
      Parameters:
        `event` - the event
        `pattern` - the pattern (compatible with `AdvancedMessageFormat`)
      Returns:
        the formatted message

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.